[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TBrush.SetFPColor

Sets the Brush color to the specified TFPColor value.

## Declaration

Source position: graphics.pp line 726

`protected procedure TBrush.SetFPColor(`
`const AValue: TFPColor`
`); override;`

## Arguments

`AValue` |  | Color value applied to the Color property.

## Description

SetFPColor is an overridden method used to set the color using the TFPColor value in AValue. Calls FPColorToTColor to convert AValue to a TColor value, and applies it to the Color property.

## See also

TColor |  | Color type used by most LCL drawing functions.
TBrush.Color |  | The Color of the current Brush.
TBrush.SetColor |  | Sets the value for the Color property.